%global pkg_name cgi

%global common_summary Haskell %{pkg_name} library

%global common_description A Haskell library for ghc for writing CGI programs.

%global ghc_pkg_deps ghc-mtl-devel, ghc-network-devel, ghc-parsec-devel, ghc-xhtml-devel

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
# break of haskell-platform-2010.2.0.0
Version:        3001.1.7.4
Release:        4%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_lib_package


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3001.1.7.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 3001.1.7.4-3
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 3001.1.7.4-2
- rebuild against network-2.3

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 3001.1.7.4-1
- update to 3001.1.7.4
- update url and drop -o obsoletes
- add hscolour

* Fri Jul 16 2010 Jens Petersen <petersen@redhat.com> - 3001.1.7.3-1
- update to 3001.1.7.3 for haskell-platform-2010.2.0.0
- obsolete doc subpackage (ghc-rpm-macros-0.8.0)

* Sat Jun 26 2010 Jens Petersen <petersen@redhat.com> - 3001.1.7.2-4
- sync cabal2spec-0.22

* Tue Apr 27 2010 Jens Petersen <petersen@redhat.com> - 3001.1.7.2-3
- rebuild against ghc-6.12.2

* Wed Mar 24 2010 Jens Petersen <petersen@redhat.com> - 3001.1.7.2-2
- rebuild against network-2.2.1.7

* Tue Mar 23 2010 Jens Petersen <petersen@redhat.com> - 3001.1.7.2-1
- update to 3001.1.7.2 for haskell-platform-2010.1.0.0

* Wed Jan 13 2010 Jens Petersen <petersen@redhat.com> - 3001.1.7.1-4
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common_summary and common_description
- use ghc_lib_package and ghc_pkg_deps
- build shared library
- drop redundant buildroot and its install cleaning
- buildrequires mtl, parsec, xhtml

* Mon Nov 16 2009 Jens Petersen <petersen@redhat.com> - 3001.1.7.1-3
- use ghc_pkg_ver macro for network version

* Mon Sep 28 2009 Jens Petersen <petersen@redhat.com> - 3001.1.7.1-2
- buildrequire the new ghc-network library

* Mon Sep 14 2009 Jens Petersen <petersen@redhat.com> - 3001.1.7.1-1
- initial packaging for Fedora created by cabal2spec
